<?php
/**
 * Widget template Slider-02
 *
 * @version     2.0.0
 */
?>

<?php if ($instance['before_posts']) : ?>
  <div class="gspw-before">
    <?php echo wpautop($instance['before_posts']); ?>
  </div>
<?php endif; ?>

<div class="gspw-posts gspw-ticker-vertical slider-02">

  <?php if ($gspw_query->have_posts()) : ?>

    <?php while ($gspw_query->have_posts()) : $gspw_query->the_post(); ?>

      <?php $current_post = ($post->ID == $current_post_id && is_single()) ? 'active' : ''; ?>

      <article <?php post_class($current_post); ?>>

        <header>
          <?php if (current_theme_supports('post-thumbnails') && $instance['show_thumbnail'] && has_post_thumbnail()) : ?>
            <div class="entry-image meta-img">
              <a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail($instance['thumb_size']); ?></a>
              <div class="meta-data">
                <?php if (get_the_title() && $instance['show_title']) : ?>
                  <h4 class="entry-titles">
                    <a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>
                  </h4>
                <?php endif; ?>
              </div>
            </div>
          <?php endif; ?>

          <div class="entry-meta">
            <?php if ($instance['show_date']) : ?>
              <span class="dashicons dashicons-calendar-alt"></span><time class="published" datetime="<?php echo get_the_time('c'); ?>"><?php echo get_the_time($instance['date_format']); ?></time>
            <?php endif; ?>

            <?php if ($instance['show_date'] && $instance['show_author']) : ?>
              <span class="sep"><?php _e('|', 'gspw'); ?></span>
            <?php endif; ?>

            <?php if ($instance['show_author']) : ?>
              <span class="author">
                <span class="dashicons dashicons-admin-users"></span><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>" rel="author"><?php echo get_the_author(); ?></a>
              </span>
            <?php endif; ?>
            <?php if ($instance['show_author'] && $instance['show_comments']) : ?>
              <span class="sep"><?php _e('|', 'gspw'); ?></span>
            <?php endif; ?>

            <?php if ($instance['show_comments']) : ?>
              <span class="dashicons dashicons-admin-comments"></span><a class="comments" href="<?php comments_link(); ?>"><?php comments_number(__('No comments', 'gspw'), __('One comment', 'gspw'), __('% comments', 'gspw')); ?></a>
            <?php endif; ?>
          </div>
        </header>
    </article>

    <?php endwhile; ?>

  <?php else : ?>

  <p class="gspw-not-found">
    <?php _e('No posts found.', 'gspw'); ?>
  </p>

  <?php endif; ?>
</div>

<?php if ($instance['after_posts']) : ?>
  <div class="gspw-after">
    <?php echo wpautop($instance['after_posts']); ?>
  </div>
<?php endif; ?>